wai-extra-3.0.19.1: Provides some basic WAI handlers and middleware.

Copyright | Michael Snoyman
License | BSD3
Maintainer | Michael Snoyman <michael@snoyman.com>
Stability | Unstable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Network.Wai.Middleware.Jsonp

Description

Automatic wrapping of JSON responses to convert into JSONP.

Synopsis

- jsonp :: Middleware

# Documentation

jsonp :: Middleware #

Wrap json responses in a jsonp callback.

Basically, if the user requested a "text/javascript" and supplied a "callback" GET parameter, ask the application for an "application/json" response, then convert that into a JSONP response, having a content type of "text/javascript" and calling the specified callback function.